## GwySciText GwySciText — Text entry with markup and special symbol helper widgets |

## Functions

GtkWidget * | gwy_sci_text_new ()
gchar * | gwy_sci_text_get_text ()
void | gwy_sci_text_set_text ()
gboolean | gwy_sci_text_get_has_preview ()
void | gwy_sci_text_set_has_preview ()
GtkWidget * | gwy_sci_text_get_entry ()

## Properties

gboolean | has-preview | Read / Write

## Signals

void | edited | Run First

## Types and Values

struct | GwySciText
struct | GwySciTextClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkVBox
                                ╰── GwySciText

## Implemented Interfaces

GwySciText implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <libgwydgets/gwydgets.h>

## Description

## Functions

### gwy_sci_text_new ()

    GtkWidget *
    gwy_sci_text_new (void);

Creates a new scientific text entry.

#### Returns

A newly created scientific text entry.

### gwy_sci_text_get_text ()

    gchar *
    gwy_sci_text_get_text (GwySciText *sci_text);

Gets the text in a scientific text entry.

The text is already in UTF-8 with all entities converted.

#### Parameters

sci_text | A scientific text widget. |

#### Returns

The text as a newly allocated string. It should be freed when no longer used.

### gwy_sci_text_set_text ()

    void
    gwy_sci_text_set_text (GwySciText *sci_text,
                           const gchar *new_text);

Sets the text a scientific text widget displays.

It can contain both UTF-8 and entities. UTF-8 characters corresponding to known entities are converted to entities, other characters are left as they are.

#### Parameters

sci_text | A scientific text widget. |
new_text | The text to display. |

### gwy_sci_text_get_has_preview ()

    gboolean
    gwy_sci_text_get_has_preview (GwySciText *sci_text);

Tests the display of a preview in a scientific text entry.

#### Parameters

sci_text | A scientific text widget. |

#### Returns

`TRUE` if there is a preview, `FALSE` if preview is not shown.

### gwy_sci_text_set_has_preview ()

    void
    gwy_sci_text_set_has_preview (GwySciText *sci_text,
                                  gboolean has_preview);

Sets the display of a preview in a scientific text entry.

#### Parameters

sci_text | A scientific text widget. |
has_preview | `TRUE` to display a preview, `FALSE` to disable it. |

### gwy_sci_text_get_entry ()

    GtkWidget *
    gwy_sci_text_get_entry (GwySciText *sci_text);

Gets the entry widget of a scientific text entry.

#### Parameters

sci_text | A scientific text widget. |

#### Returns

The entry widget, no reference is added.

## Types and Values

### struct GwySciText

    struct GwySciText;

### struct GwySciTextClass

    struct GwySciTextClass {
        GtkVBoxClass parent_class;

        /* Signals */
        void (*edited)(GwySciText *sci_text);

        void (*reserved1)(void);
        void (*reserved2)(void);
    };

## Property Details

### The `“has-preview”` property

      “has-preview”              gboolean

The :has-preview property controls whether a GwySciText has a preview.

Owner: GwySciText

Flags: Read / Write

Default value: TRUE

## Signal Details

### The `“edited”` signal

    void
    user_function (GwySciText *gwyscitext,
                   gpointer    user_data)

The ::edited signal is emitted when the text in its entry changes to a valid markup. If you need to react to all changes in entry contents, you can use `gwy_sci_text_get_entry()` to get the entry and connect to its signal.

#### Parameters

gwyscitext | The GwySciText which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First